/* Указатели функций */

/* Объявим и определим функцию summa */
int summa(int x, int y, int z)
{
return (x+y+z);
}

/* Объявим и инициализируем глобальный указатель функции summa */
int (*sum_ptr) (int x, int y, int z)=summa;

/* Основная функция программы */
void main(void)
{
int i;
i=(*sum_ptr) (5,12,7); 	// Вызовем функцию summa с фактическими
// аргументами 5, 12 и 7, используя указатель.
// Функция вернет сумму этих значений.
// В результате i=5+12+7=24
}
